RubyGems Navigation menu

puppet-lint-optional_default-check 2.0.0

A puppet-lint plugin to check that Optional class/defined type parameters don't default to anything other than `undef`.

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 2.0.0 - April 21, 2023 (9 KB)
  2. 1.1.0 - November 29, 2022 (9 KB)
  3. 1.0.0 - April 07, 2021 (8 KB)

Runtime Dependencies (1):

puppet-lint >= 3, < 5

Owners:

Pushed by:

Authors:

  • Vox Pupuli

SHA 256 checksum:

af4c9190bf584f56342b6c67317ec15d06a4d74a55aee7c005bb70c5d9affb79

Total downloads 327,647

For this version 77,482

License:

MIT

Required Ruby Version: >= 2.7.0

Links: